#!/bin/sh 

#### Author:	Abbi @ Earthen Ring (US)
####		strand.osric@gmail.com
#### Version:	1.02
#			1.0	Initial public release
#			1.01	Fixed CFLAG bug (Asgorath)
#			1.02	Added image format flag (Asgorath)

while getopts "wpdt:f:o:" flag
do
	if [ $flag = "t" ]; then
		TANK=$OPTARG
	elif [ $flag = "f" ]; then
		FILE=$OPTARG
	elif [ $flag = "o" ]; then
		FORMAT=$OPTARG
	elif [ $flag = "w" -o $flag = "d" -o $flag = "p" ]; then
		CFLAG="$flag"
	fi
done

if [ ${TANK}x = "x" -o ${FILE}x = "x" -o ${CFLAG}x = "x" ]; then
	echo "Usage: $0 -t <tank> -f <log> -[dwp] -o [png|gif|jpg|pdf|ps]"
	exit
fi

if [ ${FORMAT}x != "x" ]; then
	if [ $FORMAT = "ps" ]; then
		SUFFIX=ps
		TERMINAL=postscript
	else
		SUFFIX=$FORMAT
		TERMINAL=$FORMAT
	fi
else
	SUFFIX="png"
	TERMINAL="png"
fi

BFILE=`basename $FILE .txt`
PLOT=./$BFILE.plot.$$
DAT=./$BFILE.dat.$$
GIF=./$BFILE.$SUFFIX

./gen-data.pl -c $CFLAG -t $TANK $FILE > $DAT

LLINE=`tail -1 $DAT`
LSEC=`echo $LLINE | awk '{ print $1 }'`
TPS=`echo $LLINE | awk '{ print $5 }'`

echo "set term $TERMINAL" > $PLOT
echo "set output \"$GIF\"" >> $PLOT
echo "set grid" >> $PLOT
echo "set label \"$TPS\" at $LSEC, $TPS" >> $PLOT
echo "plot \"$DAT\" using 1:4 title \"10 Sec Rolling Threat Av.\" with lines, \"$DAT\"  using 1:5 title \"Overall Rolling Threat Av.\" with lines" >> $PLOT

gnuplot $PLOT 2> /dev/null

rm $PLOT $DAT
